Subject: Re: O/M flags against 2.6.0-test1

From: Krishna Kumar <[email-masked]>
Date: Thu, 24 Jul 2003 17:14:36 -0700

So people are ok with using struct ? Since it can be typecast as an array :-)

thanks,

- KK

[email-masked] wrote:
> Hello!
> 
> 
>>I'm not so sure about the "array," but anyway,
>>I don't think it is so ugly to use struct / offsetof.
> 
> 
> Just write a sample of code, printing all fields of struct
> and equivalent array, and you will see.
> 
> Well, I just know, that when iproute will do this, it will
> cast the struct to array in any case. It is dirty, but sane at least. :-)
> 
> Alexey
>